Package org.gradle.tooling.model.eclipse

## Interface EclipseProjectNature

-     public interface EclipseProjectNature

  An Eclipse project nature definition.
  Since:
    2.9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | Returns the unique identifier of the project nature.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns the unique identifier of the project nature.
      Returns:
        The project nature id.
      See Also:
        Definition of project natures in the Eclipse documentation